<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>doclets/standard/packageIndexWriter.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/packageindexwriter.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>doclets/standard/packageIndexWriter.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>/*
<a name="line3"></a>PHPDoctor: The PHP Documentation Creator
<a name="line4"></a>Copyright (C) 2004 Paul James <paul@peej.co.uk>
<a name="line5"></a>
<a name="line6"></a>This program is free software; you can redistribute it and/or modify
<a name="line7"></a>it under the terms of the GNU General Public License as published by
<a name="line8"></a>the Free Software Foundation; either version 2 of the License, or
<a name="line9"></a>(at your option) any later version.
<a name="line10"></a>
<a name="line11"></a>This program is distributed in the hope that it will be useful,
<a name="line12"></a>but WITHOUT ANY WARRANTY; without even the implied warranty of
<a name="line13"></a>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
<a name="line14"></a>GNU General Public License for more details.
<a name="line15"></a>
<a name="line16"></a>You should have received a copy of the GNU General Public License
<a name="line17"></a>along with this program; if not, write to the Free Software
<a name="line18"></a>Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
<a name="line19"></a>*/
<a name="line20"></a>
<a name="line21"></a>/** This class generates the overview-summary.html file that lists all parsed
<a name="line22"></a> * packages.
<a name="line23"></a> *
<a name="line24"></a> * @package PHPDoctor\Doclets\Standard
<a name="line25"></a> */
<a name="line26"></a>class PackageIndexWriter extends HTMLWriter
<a name="line27"></a>{
<a name="line28"></a>
<a name="line29"></a>	/** Build the package index.
<a name="line30"></a>	 *
<a name="line31"></a>	 * @param Doclet doclet
<a name="line32"></a>	 */
<a name="line33"></a>	function packageIndexWriter(&$doclet)
<a name="line34"></a>    {
<a name="line35"></a>	
<a name="line36"></a>		parent::htmlWriter($doclet);
<a name="line37"></a>		
<a name="line38"></a>		$phpdoctor =& $this->_doclet->phpdoctor();
<a name="line39"></a>		
<a name="line40"></a>		$this->_sections[0] = array('title' => 'Overview', 'selected' => TRUE);
<a name="line41"></a>		$this->_sections[1] = array('title' => 'Namespace');
<a name="line42"></a>		$this->_sections[2] = array('title' => 'Class');
<a name="line43"></a>		//$this->_sections[3] = array('title' => 'Use');
<a name="line44"></a>		if ($phpdoctor->getOption('tree')) $this->_sections[4] = array('title' => 'Tree', 'url' => 'overview-tree.html');
<a name="line45"></a>		if ($doclet->includeSource()) $this->_sections[5] = array('title' => 'Files', 'url' => 'overview-files.html');
<a name="line46"></a>		$this->_sections[6] = array('title' => 'Deprecated', 'url' => 'deprecated-list.html');
<a name="line47"></a>		$this->_sections[7] = array('title' => 'Todo', 'url' => 'todo-list.html');
<a name="line48"></a>		$this->_sections[8] = array('title' => 'Index', 'url' => 'index-all.html');
<a name="line49"></a>
<a name="line50"></a>		ob_start();
<a name="line51"></a>		
<a name="line52"></a>		echo "<hr>\n\n";
<a name="line53"></a>		
<a name="line54"></a>		echo '<h1>'.$this->_doclet->docTitle()."</h1>\n\n";
<a name="line55"></a>
<a name="line56"></a>		$rootDoc =& $this->_doclet->rootDoc();
<a name="line57"></a>
<a name="line58"></a>		$textTag =& $rootDoc->tags('@text');
<a name="line59"></a>		if ($textTag) {
<a name="line60"></a>			$description = $this->_processInlineTags($textTag, TRUE);
<a name="line61"></a>			if ($description) {
<a name="line62"></a>				echo '<div class="comment">', $description, "</div>\n\n";
<a name="line63"></a>				echo '<dl><dt>See:</dt><dd><b><a href="#overview_description">Description</a></b></dd></dl>'."\n\n";
<a name="line64"></a>			}
<a name="line65"></a>		}
<a name="line66"></a>
<a name="line67"></a>		echo '<table class="title">'."\n";
<a name="line68"></a>		echo '<tr><th colspan="2" class="title">Namespaces</th></tr>'."\n";
<a name="line69"></a>        $packages =& $rootDoc->packages();
<a name="line70"></a>        ksort($packages);
<a name="line71"></a>		foreach($packages as $name => $package) {
<a name="line72"></a>			$textTag =& $package->tags('@text');
<a name="line73"></a>			echo '<tr><td class="name"><a href="'.$package->asPath().'/package-summary.html">'.$package->name().'</a></td>';
<a name="line74"></a>			echo '<td class="description">'.strip_tags($this->_processInlineTags($textTag, TRUE), '<a><b><strong><u><em>').'</td></tr>'."\n";
<a name="line75"></a>		}
<a name="line76"></a>		echo '</table>'."\n\n";
<a name="line77"></a>
<a name="line78"></a>		$textTag =& $rootDoc->tags('@text');
<a name="line79"></a>		if ($textTag) {
<a name="line80"></a>			$description = $this->_processInlineTags($textTag);
<a name="line81"></a>			if ($description) {
<a name="line82"></a>				echo '<div class="comment" id="overview_description">', $description, "</div>\n\n";
<a name="line83"></a>			}
<a name="line84"></a>		}
<a name="line85"></a>		
<a name="line86"></a>		echo "<hr>\n\n";
<a name="line87"></a>
<a name="line88"></a>		$this->_output = ob_get_contents();
<a name="line89"></a>		ob_end_clean();
<a name="line90"></a>		
<a name="line91"></a>		$this->_write('overview-summary.html', 'Overview', TRUE);
<a name="line92"></a>	
<a name="line93"></a>	}
<a name="line94"></a>
<a name="line95"></a>}
<a name="line96"></a>
<a name="line97"></a>?>
<a name="line98"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/packageindexwriter.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>